# Piped

[![Matrix](https://img.shields.io/matrix/piped:matrix.org)](https://matrix.to/#/#piped:matrix.org)
[![IPFS Build](https://github.com/TeamPiped/Piped/actions/workflows/build.yml/badge.svg)](https://piped-ipfs.kavin.rocks/)
[![GitHub Repo stars](https://img.shields.io/github/stars/TeamPiped/Piped-Frontend?style=social)](https://github.com/TeamPiped/Piped/stargazers)
[![GitHub last commit](https://img.shields.io/github/last-commit/TeamPiped/Piped-Frontend)](https://github.com/TeamPiped/Piped/commits)

An alternative YouTube frontend which is efficient by design.

# The Problem

YouTube has an extremely invasive privacy policy which relies on using user data in unethical ways. You give them a lot of data - ranging from ideas, music taste, content, political opinions, and much more than you think.

By using Piped, you can freely watch and listen to content freely without the fear of prying eyes watching everything you are doing.

## Features:

-   [x] No Ads
-   [x] No Tracking
-   [x] Infinite Scrolling
-   [x] Integration with SponsorBlock
-   [x] Integration with LBRY
-   [x] 4K support
-   [x] No connections to Google's servers
-   [x] Playing just audio
-   [x] Comments
-   [x] Playlist support
-   [x] Captions support
-   [x] Search Suggestions
-   [x] Livestreams support with a quality selector
-   [x] PWA support
-   [x] Preferences saved locally
-   [x] Multi-region loadbalancing
-   [x] Performant by design, designed to handle 1000s of users concurrently

## WIP

-   [ ] Login
-   [ ] Feeds
-   [ ] 8K support
-   [ ] Improving UI

## Documentation

The documentation can be found at https://piped-docs.kavin.rocks (accessible via IPNS as well)

## Screenshots

![Screenshot 1](https://cloudflare-ipfs.com/ipfs/bafybeigafumvrgbfyufxjptvufobstrywrfv2kteyuuictfko6kvghjszu)
![Screenshot 2](https://cloudflare-ipfs.com/ipfs/bafybeiaxhsog7jzydr7xb3xhlemxilqksceqg5fraaiuojzclhocsqrcvq)
![Screenshot 3](https://cloudflare-ipfs.com/ipfs/bafybeiehs5xjqmmq34gmewxoqm3j3b2ze3pve4sdmanz7ukrxwgrcmxnry)

## Donations

Donations can be made at 13MoHioctZkC7LDSZSb4m32TDT8xNmei1p (BTC)

Contributions in any other form are also welcomed.

## Development Setup

```
yarn install
```

### Compiles and hot-reloads for development

```
yarn serve
```

You can now make changes and see them as soon you save the file!

## Contact

If you would like to contact me personally, you may do so with the following means:

-   Matrix: @kavin1337:matrix.org
-   Mastodon: https://mastodon.online/@kavin
-   Email: kavin@kavin.rocks

## Public Chat Rooms

-   #piped:matrix.org (Matrix)
-   #piped on libera.chat (IRC)

## YourKit

<img src="https://www.yourkit.com/images/yklogo.png"></img>

YourKit has given an open source license for their profiler, greatly simplifying the profiling of Piped's performance.

YourKit supports open source projects with its full-featured Java Profiler.
YourKit, LLC is the creator of <a href="https://www.yourkit.com/java/profiler/">YourKit Java Profiler</a>
and <a href="https://www.yourkit.com/.net/profiler/">YourKit .NET Profiler</a>,
innovative and intelligent tools for profiling Java and .NET applications.
